## wpasupplicant 0.6.10

=== debian/changelog ===
wpasupplicant (0.6.10-2.1+deb6u1) squeeze-lts; urgency=low

  * Fix CVE-2014-3686

 -- Raphael Geissert <geissert@debian.org>  Tue, 18 Nov 2014 15:08:19 +0100

wpasupplicant (0.6.10-2.1) unstable; urgency=low

  * Non-maintainer upload approved by Kel Modderman.
  * Added patch 31_fallback_to_full_EAP_authentication.patch (closes: #582917). 

 -- Micha Lenk <micha@debian.org>  Sun, 28 Nov 2010 12:22:01 +0100

wpasupplicant (0.6.10-2) unstable; urgency=low

  * Switch to source format 3.0 (quilt), drop quilt build dependency
    and remove '--with quilt' from dh command in debian/rules.
  * Fix "FTBFS on kfreebsd-gnu" with addition of 21_kfreebsd.patch.
    Thanks to work by Stefan Lippers-Hollmann and Petr Salinger.
    (Closes: #480572)
  * Disable experimental feature CONFIG_IEEE80211W (management frame
    protection) due to it not being supported by any driver but ath9k
    and it generating ioctl errors which cause much concern among users
    for little to no benefit.
  * Add traling blank line to debian/NEWS to assist apt-listchanges as
    per lintian advice.
  * Cherry pick 30_cfg80211_association_optimisation.patch from upstream
    git. Add cfg80211-specific optimization to avoid silly behavior.

 -- Kel Modderman <kel@otaku42.de>  Sat, 27 Feb 2010 11:30:53 +1000

wpasupplicant (0.6.10-1) unstable; urgency=low

  * New upstream release.
    - wpa_msg_ctrl helper which can send messages to the control interface
      without logging when running in non-debug mode. Used for
      CTRL-EVENT-SCAN-RESULTS. (Closes: #539915) (LP: #352118)
  * Remove members of pkg-wpa-devel team from Uploaders who no longer
    participate in maintenance. Thanks for their past work. (Closes: #529501)
  * Disable building of atmel driver backend, neither atmel_{cs,pci},
    nor at76c50x-usb ever used it and atmelwlandriver is not in Debian
    and has been abandoned upstream in 2005. Thanks to Stefan Lippers-
    Hollmann for doing the research.
  * Remove a few traces of ath/madwifi from debian/NEWS and
    debian/README.Debian, thanks again to Stefan Lippers-Hollmann.
  * Prefix etc/pm/sleep.d/ pm-utils hook in the 50 - 74 sequence range to
    comply with sequencing rules as per pm-action(8) (LP: #307493). Provide
    the symlink to our hook in /usr/lib/pm-utils/sleep.d/ rather than
    /etc/pm/sleep.d/. (Closes: #557344)
  * Modify wpa_action and associated functions to use logger(1) instead of
    piping to /var/log/wpa_action.$IFACE.log.
  * Ensure removal of obsolete logrotate conffiles now that all
    wpa_supplicant/wpa_cli output is logged to syslog.
  * Support help action in action_wpa.sh. (Closes: #548995)
  * Build-depend on libreadline-dev instead of libreadline5-dev.
    (Closes: #553891)
  * Do not use sed to comment all network blocks out in the example
    wpa_supplicant.conf.
  * Do not strip upstream manual pages from source tree, do no generate
    them at build time, do not build-depend on dockbook. We currently do
    not modify them, so these build-dependencies and steps are expensive.
  * Convert debian/rules to use dh
    - build depend on debhelper (>= 7.4.12~) for dh override support, qmake
      build class support and --builddirectory argument support
    - install wpagui files via debian/wpagui.install
    - rename debian/ifupdown/wpa_action.sh to debian/ifupdown/wpa_action
      and install via debian/wpasupplicant.install
    - install wpasupplicant ifupdown scripts via debian/wpasupplicant.install
  * CFLAGS, CXXFLAGS, LDFLAGS and V are exported by debian/rules.
  * Remove uupdate command from debian/watch, it is not useful.
  * Add ${misc:Depends} to debian/control for debhelpers to use as required.
  * Remove debian/get-git-snapshot and debian/rules target.
  * Bump Standards-Version to 3.8.4, no extra changes required.
  * wpa_action shell functions no longer require an ifupdown state file
    to function as future providers of ifup/ifdown may not need or
    provide it.
  * wpa_action shell functions ifup and ifdown create and delete the
    wpa_supplicant sendsigs omission file thus removing the need for
    /etc/init.d/wpa-ifupdown. Remove /etc/init.d/wpa-ifupdown on upgrade
    via maintainer scripts. (Closes: #545173)
  * Drop debian/patches/10_multi_driver.patch due to its invasiveness -
    it may make future patches which fix serious issues harder to apply
    while providing an experimental feature only.
  * Add debian/patches/18_wpa_gui_wps_ap_avail_annoyance.patch to stop
    notifying about WPS_EVENT_AP_* events via wpa_gui tray status
    bubbles - they are too frequent.
  * Cherry pick 20_wpa_msg_ctrl_wps.patch from upstream to avoid too frequent
    logging of WPS events.
  * Drop debian/patches/05_qmake_version_makefile.patch, use qmake build
    class in debian/rules, Build-Depend on qt4-qmake and Build-Conflict
    with libqt3-dev.
  * Ensure wpa_supplicant/wpa_gui-qt4 is really clean, qmake seems to leave
    some crumbs (.obj, .moc & .ui).
  * Adjust debian/watch to scan for the 0.6.X stable releases only.
  * Remove debian/wpasupplicant.postrm - it is no longer needed to
    handle purge of log files, none are created anymore.
  * Enable make concurrency via dh --parallel option in debian/rules.

 -- Kel Modderman <kel@otaku42.de>  Tue, 16 Feb 2010 21:26:26 +1000

wpasupplicant (0.6.9-3) unstable; urgency=low

  * Drop debian/patches/12_syslog_supplement.patch. It adds code which
    attempts to prettify output but doesn't handle large output well.
    (Closes: #528639)

 -- Kel Modderman <kel@otaku42.de>  Sat, 16 May 2009 03:47:08 +1000

wpasupplicant (0.6.9-2) unstable; urgency=low

  * Add debian/patches/07_dbus_service_syslog.patch to enable syslog
    logging when wpa_supplicant is started via D-Bus.
  * Start wpa_supplicant with default level of verbosity via ifupdown
    hooks, rather than in quiet mode.
  * Merge some differences from wpasupplicant_0.6.6-2ubuntu1.patch, with
    very minor modification:

