=== debian/watch ===
version=3
http://w1.fi/releases/wpa_supplicant-(0\.6\.\d+)\.tar\.gz
