## wpasupplicant 0.7.3

=== debian/changelog ===
wpasupplicant (0.7.3-6ubuntu2.1) precise-proposed; urgency=low

  * debian/patches/session-ticket.patch: disable the TLS Session Ticket
    extension to fix auth with 802.1x PEAP on some hardware. (LP: #969343)

 -- Mathieu Trudel-Lapierre <mathieu-tl@ubuntu.com>  Mon, 17 Sep 2012 17:08:22 -0400

wpasupplicant (0.7.3-6ubuntu2) precise; urgency=low

  * debian/wpasupplicant.postinst: don't fail package configuration if the
    sendsig omission files can't be migrated from /lib/init/rw to /run.
    Thanks to Anthony Fok for the patch. (LP: #935678)

 -- Mathieu Trudel-Lapierre <mathieu-tl@ubuntu.com>  Fri, 16 Mar 2012 09:55:12 -0400

wpasupplicant (0.7.3-6ubuntu1) precise; urgency=low

  * debian/patches/dbus-activation-cmdline.patch: have wpasupplicant create
    a pid file in /run/sendsigs.omit.d when activated by DBus. (LP: #869635)

 -- Mathieu Trudel-Lapierre <mathieu-tl@ubuntu.com>  Thu, 16 Feb 2012 16:21:29 -0500

wpasupplicant (0.7.3-6) unstable; urgency=low

  * add "hostap: Allow linking with libnl-3" from Ben Greear 
    <greearb@candelatech.com> to allow building against libnl3 3.2.
  * raise versioned build-dependency to (>= 3.2.3-2~), we need
    libnl-genl-3-200-udeb and expect it in /lib/.
  * switch build dependency from libnl3-dev to libnl-3-dev && libnl-genl-3-dev
    accordingly.
  * symlink /usr/share/doc/wpasupplicant/ to /usr/share/doc/wpa_supplicant,
    which is referred to from upstream documentation (Closes: #537375,
    #616120).
  * enable BGSCAN_SIMPLE (Closes: #650834).
  * add "For MS-CHAP, convert the password from UTF-8 to UCS-2" from
    Evan Broder <ebroder@mokafive.com>, accepted upstream into hostap-1.git
    (Closes: #649202).

 -- Stefan Lippers-Hollmann <s.l-h@gmx.de>  Mon, 19 Dec 2011 23:31:20 +0100

wpasupplicant (0.7.3-5) unstable; urgency=low

  * restrict wpasupplicant-udeb to linux-any, until a udeb for libpcap0.8 gets
    available for kfreebsd-any (Closes: #644823).
  * build-depend on libncurses5-dev explicitly, as it is no longer pulled in
    indirectly.

 -- Stefan Lippers-Hollmann <s.l-h@gmx.de>  Fri, 14 Oct 2011 10:35:42 +0200

wpasupplicant (0.7.3-4) unstable; urgency=low

  [ Kel Modderman ]
  * Support /run/sendsigs.omit.d/ (Closes: #633040):
    - depend on initscripts (>= 2.88dsf-13.3)
    - create new omission pid files in /run/sendsigs.omit.d/ unconditionally
    - migrate existing omission pid files from /lib/init/rw/ to
      /run/sendsigs.omit.d/
  * ACK NMU (Closes: #610931)
    - add wpasupplicant-udeb
    - build against libnl3
  * Improve integration of the udeb addition with existing debian/rules:
    - build the required binary in the build target in similar way to standard
      package build
    - install binary manually in dh_auto_install override rather than
      wpasupplicant-udeb.install to handle renaming of binary
    - sync udeb CFLAGS with the standard build
    - allow potential for non-linux udebs, add a kfreebsd udeb configuration
      snippet
  * Filter the numerous hyphen-used-as-minus-sign informational messages
    from lintian output.
  * Add preferred options to debian/source/local-options to assist with quilt
    patch management.
  * Add patch for wpa_gui-qt4 which displays scan results signal strength in
    dBm with bar indicator. (Closes: #630681)

  [ Stefan Lippers-Hollmann ]
  * make wpasupplicant-udeb arch=any, an initial kfreebsd udeb config is now
    provided as well.
  * use Package-Type instead of XC-Package-Type for wpasupplicant-udeb,
    dpkg-dev >1.15.7 is available in squeeze.
  * add a dependency on ${misc:Depends} for the udeb package as well.
  * adapt debian/copyright to recent changes (r174) in DEP-5 and use the new
    anonscm URL.
  * don't use /run/sendsigs.omit.d/ if it hasn't already been created by
    mountkernfs.sh (e.g. when using systemd), thanks to Michael Biebl.

 -- Stefan Lippers-Hollmann <s.l-h@gmx.de>  Mon, 26 Sep 2011 23:30:00 +0200

wpasupplicant (0.7.3-3.1) unstable; urgency=low

  * Non-maintainer upload with the agreement of Kel Modderman.
  
  [ Stefan Lippers-Hollmann ]
  * bump standards version to 3.9.2, no changes necessary.

  [ Gaudenz Steinlin ]
  * Add wpasupplicant-udeb for debian-installer. Thanks to 
    Mathew Palmer for providing the initial patch. (Closes: #610931)
  * Build against libnl3

 -- Gaudenz Steinlin <gaudenz@debian.org>  Sat, 30 Jul 2011 14:10:31 +0200

wpasupplicant (0.7.3-3) unstable; urgency=low

  * Restore code which loop waits for wpa_supplicant generated PID and
    UNIX socket on the filesystem before proceeeding with execution of
    ifupdown script. (Closes: #622757, #622589)
  * On DISCONNECTED event using wpa-roam, do not immediately issue
    reassociation command. (Closes: #622821)
  * Enable CONFIG_IEEE80211W in build configuration. (Closes: #622587)

 -- Kel Modderman <kel@otaku42.de>  Sun, 17 Apr 2011 21:07:58 +1000

wpasupplicant (0.7.3-2) unstable; urgency=low

  * Upload to unstable.
  * Remove 08_pcsc_dynamic.patch and forget the idea about dynamically
    loading libpcsc. (Closes: #618719)
  * Build with support for pcsc and link with libpcsc. Reopens #531592
    and #612715.

 -- Kel Modderman <kel@otaku42.de>  Tue, 12 Apr 2011 22:37:40 +1000

wpasupplicant (0.7.3-1) experimental; urgency=low

  [ Kel Modderman ]
  * ACK NMU (Closes: #582917) and integrate changelog.
  * New upstream release (Closes: #591371).
    - nl80211 driver interface doesn't use WEXT compat layer
      (Closes: #570688)
  * Adjust debian/watch for 0.7.X series of upstream.
  * Drop patches applied upstream:
    - 11_syslog.patch
    - 18_wpa_gui_wps_ap_avail_annoyance.patch
    - 20_wpa_msg_ctrl_wps.patch
    - 21_kfreebsd.patch
    - 30_cfg80211_association_optimisation.patch
  * Refresh patch series and merge with new upstream.
  * Change build configuration:
    - remove all comments from our config
    - enable new D-Bus interface
    - disable experimental feature CONFIG_EAP_PSK

