=== debian/control ===
Source: wpasupplicant
Section: net
Priority: optional
Maintainer: Debian/Ubuntu wpasupplicant Maintainers <pkg-wpa-devel@lists.alioth.debian.org>
Uploaders: Kel Modderman <kel@otaku42.de>,
 Stefan Lippers-Hollmann <s.l-h@gmx.de>
Build-Depends: debhelper (>> 8),
 libdbus-glib-1-dev,
 libssl-dev,
 libreadline-dev,
 libqt4-dev,
 libdbus-1-dev,
 libncurses5-dev,
 libpcsclite-dev,
 libnl-3-dev (>= 3.2.3-2~) [linux-any],
 libnl-genl-3-dev (>= 3.2.3-2~) [linux-any],
 libpcap-dev [kfreebsd-any],
 libbsd-dev [kfreebsd-any],
 pkg-config,
 qt4-qmake
Build-Conflicts: libqt3-dev
Standards-Version: 3.9.2
Vcs-Svn: svn://anonscm.debian.org/svn/pkg-wpa/wpasupplicant/trunk/
Vcs-Browser: http://anonscm.debian.org/viewvc/pkg-wpa/wpasupplicant/trunk/
Homepage: http://w1.fi/wpa_supplicant/

Package: wpasupplicant
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, lsb-base (>= 3.0-6), adduser, initscripts (>= 2.88dsf-13.3)
Suggests: wpagui, libengine-pkcs11-openssl
Description: client support for WPA and WPA2 (IEEE 802.11i)
 WPA and WPA2 are methods for securing wireless networks, the former
 using IEEE 802.1X, and the latter using IEEE 802.11i. This software
 provides key negotiation with the WPA Authenticator, and controls
 association with IEEE 802.11i networks.

Package: wpagui
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, wpasupplicant (>= 0.7.3~), libqt4-svg
Recommends: menu
Description: graphical user interface for wpa_supplicant
 wpagui provides a Qt interface for choosing which configured network
 to connect to. It also provides a method for browsing 802.11 SSID scan
 results, an event history log of messages generated by wpa_supplicant,
 and a method to add or edit wpa_supplicant networks.

Package: wpasupplicant-udeb
Section: debian-installer
Priority: standard
Architecture: linux-any
Package-Type: udeb
Depends: ${shlibs:Depends}, ${misc:Depends}, busybox-udeb
Description: Client support for WPA and WPA2 (IEEE 802.11i)
 WPA and WPA2 are methods for securing wireless networks, the former
 using IEEE 802.1X, and the latter using IEEE 802.11i. This software
 provides key negotiation with the WPA Authenticator, and controls
 association with IEEE 802.11i networks.
 .
 This is a udeb of wpasupplicant for use by the debian-installer.
